Regression test for waiting too short a time
Changes PlannedPublic

Authored by syd on Oct 16 2017, 11:23 AM.

Details

Reviewers
nh2
hvr
bgamari
austin
Trac Issues
#8684
Summary

This is a test that shows unexpected behaviour.

delta here is negative, which means we wait a shorter amount of time
than we should.

Test Plan

Fix the problem, then make sure this test passes

syd created this revision.Oct 16 2017, 11:23 AM
bgamari accepted this revision.Oct 16 2017, 11:28 AM

Be aware that @nh2 has been looking at similar things in this area. See D4012 and related differentials.

The test looks reasonable though.

This revision is now accepted and ready to land.Oct 16 2017, 11:28 AM
syd added a comment.Oct 16 2017, 10:04 PM

Be aware that @nh2 has been looking at similar things in this area. See D4012 and related differentials.

That's exactly what this is about. This is just a regression test for his work.

In D4096#114642, @syd wrote:

Be aware that @nh2 has been looking at similar things in this area. See D4012 and related differentials.

That's exactly what this is about. This is just a regression test for his work.

Ahh good, I just wanted to make sure we weren't going to duplicate effort.

syd updated this revision to Diff 14381.Oct 17 2017, 10:41 PM

Made the legroom 1ms instead of 1s

syd planned changes to this revision.Oct 26 2017, 3:58 AM
austin resigned from this revision.Nov 9 2017, 5:46 PM
syd updated this revision to Diff 14797.Nov 24 2017, 9:00 AM

Rebased on master

This revision is now accepted and ready to land.Nov 24 2017, 9:00 AM
syd abandoned this revision.Nov 24 2017, 9:11 AM
syd reclaimed this revision.
This revision is now accepted and ready to land.Nov 24 2017, 9:12 AM
syd updated this revision to Diff 14799.Nov 24 2017, 9:55 AM

Fixed the millisecond problem.

syd updated this revision to Diff 14800.Nov 24 2017, 9:56 AM

Put back a test that I accidentally deleted.

syd planned changes to this revision.Nov 24 2017, 9:56 AM

This fails unexpectedly, at the moment. Will continue when it doesn't anymore.